Author Topic: cannot get the update script executed  (Read 455 times)

Offline handoyo

  • Sr. Member
  • ****
  • Posts: 386
  • Karma: +83/-1
    • View Profile
cannot get the update script executed
« on: December 29, 2016, 04:40:39 AM »
Hi admins,

I want to execute an upgrade file in an extension, and when i try to upgrade the extension i get these warnings and the upgrade.php is not executed:

Code: [Select]
warning:  AbanteCart core v.1.2.8 include(C:\xampp\htdocs\testing\ab128\extensions\xxxx): failed to open stream: Permission denied in <b>C:\xampp\htdocs\testing\ab128\core\lib\package_manager.php</b> on line <b>656</b>
warning:  AbanteCart core v.1.2.8 include(): Failed opening 'C:/xampp/htdocs/testing/ab128/extensions/xxxx/' for inclusion (include_path='.;\xampp\php\PEAR') in <b>C:\xampp\htdocs\testing\ab128\core\lib\package_manager.php</b> on line <b>656</b>

I do have the file included in the zipped extension. Do i need to add additional code to get the upgrade file executed? Thanks.

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 2735
  • Karma: +129/-0
    • View Profile
Re: cannot get the update script executed
« Reply #1 on: December 29, 2016, 05:41:58 AM »
Hi.
in your error "Permission denied" check file permissions
http://docs.abantecart.com/pages/upgrade/manual.html

Offline handoyo

  • Sr. Member
  • ****
  • Posts: 386
  • Karma: +83/-1
    • View Profile
Re: cannot get the update script executed
« Reply #2 on: December 29, 2016, 05:48:11 AM »
Hi Basara,

I have the file permissions set to 0777.

Offline eCommerce Core

  • Administrator
  • Sr. Member
  • *****
  • Posts: 497
  • Karma: +79/-1
    • View Profile
Re: cannot get the update script executed
« Reply #3 on: December 29, 2016, 09:27:22 AM »
Check directory permission as well.

Offline handoyo

  • Sr. Member
  • ****
  • Posts: 386
  • Karma: +83/-1
    • View Profile
Re: cannot get the update script executed
« Reply #4 on: December 29, 2016, 10:49:50 AM »
I will try to check the directory permissions too. Have you tried to update an extension that has the update php file before, eCommerce Core?